Ubuntu 4404-1: NVIDIA graphics drivers vulnerabilities

    Date 25 Jun 2020
    88
    Posted By LinuxSecurity Advisories
    Several security issues were fixed in NVIDIA graphics drivers.
    ==========================================================================
    Ubuntu Security Notice USN-4404-1
    June 25, 2020
    
    nvidia-graphics-drivers-390, nvidia-graphics-drivers-440 vulnerabilities
    ==========================================================================
    
    A security issue affects these releases of Ubuntu and its derivatives:
    
    - Ubuntu 20.04 LTS
    - Ubuntu 19.10
    - Ubuntu 18.04 LTS
    
    Summary:
    
    Several security issues were fixed in NVIDIA graphics drivers.
    
    Software Description:
    - nvidia-graphics-drivers-390: NVIDIA binary X.Org driver
    - nvidia-graphics-drivers-440: NVIDIA binary X.Org driver
    
    Details:
    
    Thomas E. Carroll discovered that the NVIDIA Cuda grpahics driver did not
    properly perform access control when performing IPC. An attacker could use
    this to cause a denial of service or possibly execute arbitrary code.
    (CVE-2020-5963)
    
    It was discovered that the UVM driver in the NVIDIA graphics driver
    contained a race condition. A local attacker could use this to cause a
    denial of service. (CVE-2020-5967)
    
    It was discovered that the NVIDIA virtual GPU guest drivers contained
    an unspecified vulnerability that could potentially lead to privileged
    operation execution. An attacker could use this to cause a denial of
    service. (CVE-2020-5973)
    
    Update instructions:
    
    The problem can be corrected by updating your system to the following
    package versions:
    
    Ubuntu 20.04 LTS:
      xserver-xorg-video-nvidia-390   390.138-0ubuntu0.20.04.1
      xserver-xorg-video-nvidia-440   440.100-0ubuntu0.20.04.1
    
    Ubuntu 19.10:
      xserver-xorg-video-nvidia-390   390.138-0ubuntu0.19.10.1
      xserver-xorg-video-nvidia-440   440.100-0ubuntu0.19.10.1
    
    Ubuntu 18.04 LTS:
      xserver-xorg-video-nvidia-390   390.138-0ubuntu0.18.04.1
      xserver-xorg-video-nvidia-440   440.100-0ubuntu0.18.04.1
    
    After a standard system update you need to reboot your computer to make
    all the necessary changes.
    
    References:
      https://usn.ubuntu.com/4404-1
      CVE-2020-5963, CVE-2020-5967, CVE-2020-5973
    
    Package Information:
      https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.138-0ubuntu0.20.04.1
      https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.100-0ubuntu0.20.04.1
      https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.138-0ubuntu0.19.10.1
      https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.100-0ubuntu0.19.10.1
      https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.138-0ubuntu0.18.04.1
      https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/440.100-0ubuntu0.18.04.1
    

    LinuxSecurity Poll

    Are you considering making the switch to Purism's new Librem 14 Linux laptop to improve your security and privacy online?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/31-are-you-considering-making-the-switch-to-purism-s-new-librem-14-linux-laptop-to-improve-your-security-and-privacy-online?task=poll.vote&format=json
    31
    radio
    [{"id":"109","title":"Yes - the hardware kill switches and default ad blocking\/tracking protection sold me on it.","votes":"3","type":"x","order":"1","pct":37.5,"resources":[]},{"id":"110","title":"Not sure yet - I need to do more research.","votes":"4","type":"x","order":"2","pct":50,"resources":[]},{"id":"111","title":"No - I'm satisfied with my current laptop and have no security\/privacy concerns.","votes":"1","type":"x","order":"3","pct":12.5,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Advisories

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.